package com.example.demo;

import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.PathVariable;
import java.util.Map;
import java.util.HashMap;




@RestController
public class helloworld {

    /*
    * @RequestMapping 路由映射的注解
    * */
    @RequestMapping(value = "/uploadfile/{objectName}/{encodePolicy}/{signature}",method = RequestMethod.GET)
    public boolean myGetList(@PathVariable String objectName,
                         @PathVariable String encodePolicy,
                         @PathVariable String signature){
        try {
            System.out.println("fdfd");
            Test a=new Test();
            a.doUpload(objectName,encodePolicy,signature);
            return true;
        } catch (Exception e) {
            return false;
        }
    }

    /*
   * @RequestMapping 路由映射的注解
   * */
    @RequestMapping(value = "/hello",method = RequestMethod.GET)
    public void helloworlds(){
        try {
            System.out.println("fdfd");
        } catch (Exception e) {
        }
    }
}
